Loading...
Searching...
No Matches
half Class Reference

`#include <openvdb/math/Half.h>`

## Classes

union | uif

## Public Member Functions

| half ()=default
| half (float f)
| ~half ()=default
| half (const half &)=default
| half (half &&) noexcept=default
| operator float () const
half | operator- () const
half & | operator= (const half &h)=default
half & | operator= (half &&h) noexcept=default
half & | operator= (float f)
half & | operator+= (half h)
half & | operator+= (float f)
half & | operator-= (half h)
half & | operator-= (float f)
half & | operator*= (half h)
half & | operator*= (float f)
half & | operator/= (half h)
half & | operator/= (float f)
half | round (unsigned int n) const
bool | isFinite () const
bool | isNormalized () const
bool | isDenormalized () const
bool | isZero () const
bool | isNan () const
bool | isInfinity () const
bool | isNegative () const
unsigned short | bits () const
void | setBits (unsigned short bits)

## Static Public Member Functions

static half | posInf ()
static half | negInf ()
static half | qNan ()
static half | sNan ()

## Constructor & Destructor Documentation

## half() [1/4]

half | ( |  | ) |

default

## half() [2/4]

half | ( | float | f | ) |

inline

## ~half()

~half | ( |  | ) |

default

## half() [3/4]

half | ( | const half & |  | ) |

default

## half() [4/4]

half | ( | half && |  | ) |

default noexcept

## Member Function Documentation

## bits()

unsigned short bits | ( |  | ) | const

inline

## isDenormalized()

bool isDenormalized | ( |  | ) | const

inline

## isFinite()

bool isFinite | ( |  | ) | const

inline

## isInfinity()

bool isInfinity | ( |  | ) | const

inline

## isNan()

bool isNan | ( |  | ) | const

inline

## isNegative()

bool isNegative | ( |  | ) | const

inline

## isNormalized()

bool isNormalized | ( |  | ) | const

inline

## isZero()

bool isZero | ( |  | ) | const

inline

## negInf()

half negInf | ( |  | ) |

inline static

## operator float()

operator float | ( |  | ) | const

inline

## operator*=() [1/2]

half & operator*= | ( | float | f | ) |

inline

## operator*=() [2/2]

half & operator*= | ( | half | h | ) |

inline

## operator+=() [1/2]

half & operator+= | ( | float | f | ) |

inline

## operator+=() [2/2]

half & operator+= | ( | half | h | ) |

inline

## operator-()

half operator- | ( |  | ) | const

inline

## operator-=() [1/2]

half & operator-= | ( | float | f | ) |

inline

## operator-=() [2/2]

half & operator-= | ( | half | h | ) |

inline

## operator/=() [1/2]

half & operator/= | ( | float | f | ) |

inline

## operator/=() [2/2]

half & operator/= | ( | half | h | ) |

inline

## operator=() [1/3]

half & operator= | ( | const half & | h | ) |

default

## operator=() [2/3]

half & operator= | ( | float | f | ) |

inline

## operator=() [3/3]

half & operator= | ( | half && | h | ) |

default noexcept

## posInf()

half posInf | ( |  | ) |

inline static

## qNan()

half qNan | ( |  | ) |

inline static

## round()

half round | ( | unsigned int | n | ) | const

inline

## setBits()

void setBits | ( | unsigned short | bits | ) |

inline

## sNan()

half sNan | ( |  | ) |

inline static